from random import sample


def find_pmid(file_name):
    with open(file_name) as file:
        data = file.readlines()
    pmids = []
    for line in data:
        if 'PMID:' in line:
            pmids.append(line.split()[1])
    return pmids


pre_file = '2011-before.txt'
post_file = '2011-after.txt'

pre = find_pmid(pre_file)
post = find_pmid(post_file)

num_ref = 400
pre_rand = sample(pre, num_ref)
post_rand = sample(post, num_ref)

rater1_pre = pre_rand[0:100]
rater2_pre = pre_rand[100:200]
rater3_pre = pre_rand[200:300]
rater4_pre = pre_rand[300:400]

rater1_post = post_rand[0:100]
rater2_post = post_rand[100:200]
rater3_post = post_rand[200:300]
rater4_post = post_rand[300:400]


def interweave_pmids(pre, post):
    data = ['']*200
    counter = 0
    for i in range(0, 200, 2):
        data[i] = pre[counter]
        data[i+1] = post[counter]
        counter += 1
    return data


rater1 = interweave_pmids(rater1_pre, rater1_post)
rater2 = interweave_pmids(rater2_pre, rater2_post)
rater3 = interweave_pmids(rater3_pre, rater3_post)
rater4 = interweave_pmids(rater4_pre, rater4_post)


def save_pmids (pmids, initial):
    file_name = initial + '.txt'
    dat = '\n'.join(pmids)
    with open(file_name, 'w') as file:
        file.writelines(dat)


save_pmids(rater1,'rater1')
save_pmids(rater2,'rater2')
save_pmids(rater3,'rater3')
save_pmids(rater4,'rater4')
